import { SearchOutlined } from "@ant-design/icons"
import { PageContainer } from "@ant-design/pro-components"
import { useSize } from "ahooks";
import { Affix, Avatar, Badge, Button, Card, Col, Flex, Form, Input, List, Row, Select, Space, Tag, Typography, theme } from "antd"
import { useRef, useState } from "react";


const data = Array.from({ length: 23 }).map((_, i) => ({
    // href: 'https://ant.design',
    title: `素材任务名称 ${i}`,
    avatar: `https://xsgames.co/randomusers/avatar.php?g=pixel&key=${i}`,
    description: '这是一条任务描述，XXXXXXXXXXXXXXXXXXXXXXXXXXXXX好长好长Ant Design, a design language',
    content:
        'We supply a series of design principles, practical patterns and high quality design resources (Sketch and Axure), to help people create their product prototypes beautifully and efficiently.',
}));
/**
 * 我的任务
 * @returns 
 */
const MyTask: React.FC = () => {


    /***********************************/
    const { useToken } = theme;
    const ref = useRef(null);
    const size = useSize(ref)
    const { token } = useToken();
    const [form] = Form.useForm()
    const [initialValues, setInitialState] = useState<any>({})
    /***********************************/

    const onFinish = (data: any) => {

    }

    return <PageContainer>
        <Card
            style={{
                borderRadius: 8,
            }}
            bodyStyle={{
                paddingTop: 0,
                paddingLeft: 0,
                paddingRight: 0
            }}
            ref={ref}
        >
            <Space direction="vertical" style={{ width: '100%' }} size={0}>

                <Affix offsetTop={56}>
                    <div style={{ backgroundColor: token.colorBgBase, padding: token.paddingContentHorizontalLG, borderRadius: 8, borderBottom: `1px solid ${token.colorBorderSecondary}` }}>
                        <Form layout="inline" className='queryForm' initialValues={initialValues} name="basic" form={form} onFinish={onFinish}>
                            <Row gutter={[0, 6]}>
                                <Col>
                                    <Form.Item name='taskName'>
                                        <Input prefix={<SearchOutlined />} placeholder="任务名称" />
                                    </Form.Item>
                                </Col>

                                <Col>
                                    <Space>
                                        <Button type="primary" htmlType="submit">搜索</Button>
                                        <Button onClick={() => form.resetFields()}>重置</Button>
                                        
                                    </Space>
                                </Col>
                            </Row>
                        </Form>

                    </div>
                </Affix>

                <List
                    itemLayout="vertical"
                    size="large"
                    dataSource={data}
                    pagination={{
                        onChange: (page) => {
                            console.log(page);
                        },
                        pageSize: 10,
                    }}
                    renderItem={(item: any) => (
                        <List.Item
                            key={item.title}
                            extra={<Flex gap={20} style={{ height: '100%' }}>
                                <Flex style={{ width: size?.width ? `${size?.width / 2 - 200}px` : 300 }} vertical={true} align="center" justify="center">
                                    <span>素材制作要求：素材比例、素材尺寸、素材分辨率、素材大小</span>
                                    <Space>
                                        <Button type="link">素材示例</Button>
                                        <Button type="link">资源包下载</Button>
                                    </Space>
                                </Flex>
                                <Flex style={{ minWidth: 100, height: '100%' }} gap={10} vertical={true} align="center" justify="center">
                                    <Badge status="success" text="任务发布中" />
                                    <Tag color="error">结算：总消耗2%</Tag>
                                    <Button type="primary">修改任务</Button>
                                </Flex>
                            </Flex>}
                            actions={[
                                <span>发布时间：2023/10/01</span>,
                                <Space>
                                    <Tag color="success">游戏</Tag>
                                    <Tag color="processing">小说</Tag>
                                    <Tag color="error">error</Tag>
                                    <Tag color="warning">warning</Tag>
                                    <Tag color="default">default</Tag>
                                </Space>,
                            ]}
                        >
                            <List.Item.Meta
                                avatar={<Avatar src={item.avatar} style={{ backgroundColor: '#87d068' }} />}
                                title={<Space size={20}>
                                    <span>{item.title}</span>
                                    <Space size={4}><span style={{ color: 'red' }}>置顶</span>🆙</Space>
                                </Space>}
                                description={<Space direction="vertical" style={{ width: '100%' }} size={0}>
                                    {/* 有效时间 */}
                                    <Typography.Text type="secondary" ellipsis>任务有效时间：2023年10月01日~2023年10月31日</Typography.Text>
                                    {/* 任务描述 */}
                                    <Typography.Text type="secondary" ellipsis={{ tooltip: true }}>{item.description}</Typography.Text>
                                </Space>}
                            />
                            {item.content}
                        </List.Item>
                    )}
                />
            </Space>
        </Card>
    </PageContainer>
}

export default MyTask