import { Form, Modal, Select } from "antd"
import React from "react"

interface Props {
    initialValues?: any
    visible?: boolean
    onChange?: () => void
    onClose?: () => void
}
/**
 * 发布修改任务
 * @returns 
 */
const TaskModal: React.FC<Props> = ({ initialValues, visible, onChange, onClose }) => {

    /*************************************/
    const [form] = Form.useForm()
    /*************************************/

    const handleOk = async () => {

    }

    return <Modal
        title={`发布任务`}
        open={visible}
        onCancel={onClose}
        onOk={handleOk}
    >
        <Form
            initialValues={initialValues}
            name="taskModal"
            form={form}
            layout="vertical"
            labelCol={{ span: 4 }}
            wrapperCol={{ span: 20 }}
        >
            <Form.Item label="任务紧急度" name='taskName'>
                <Select
                    placeholder="请选择任务紧急度"
                    options={[
                        { value: 'jack', label: 'Jack' },
                        { value: 'lucy', label: 'Lucy' },
                        { value: 'Yiminghe', label: 'yiminghe' },
                        { value: 'disabled', label: 'Disabled', disabled: true },
                    ]}
                />
            </Form.Item>
        </Form>
    </Modal>
}

export default React.memo(TaskModal)